Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.gen
Interface EPPCodecComponent

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable

All Known Subinterfaces:
  EPPMessage

All Known Implementing Classes:
  EPPAuthInfo, EPPBalanceInfoCmd, EPPBalanceInfoResp, EPPCheckCmd, EPPCoaExtAttr, EPPCoaExtCreate, EPPCoaExtInfData, EPPCoaExtKey, EPPCoaExtUpdate, EPPCoaExtValue, EPPCommand, EPPContactAddChange, EPPContactAddress, EPPContactCheckCmd, EPPContactCheckResp, EPPContactCheckResult, EPPContactCreateCmd, EPPContactCreateResp, EPPContactDeleteCmd, EPPContactDisclose, EPPContactDiscloseAddress, EPPContactDiscloseName, EPPContactDiscloseOrg, EPPContactInfoCmd, EPPContactInfoResp, EPPContactPendActionMsg, EPPContactPostalDefinition, EPPContactStatus, EPPContactTransferCmd, EPPContactTransferResp, EPPContactUpdateCmd, EPPCourt, EPPCreateCmd, EPPCredentials, EPPCreditThreshold, EPPDcp, EPPDefRegAddRemove, EPPDefRegCheckCmd, EPPDefRegCheckResp, EPPDefRegCheckResult, EPPDefRegCreateCmd, EPPDefRegCreateResp, EPPDefRegDeleteCmd, EPPDefRegInfoCmd, EPPDefRegInfoResp, EPPDefRegName, EPPDefRegPeriod, EPPDefRegRenewCmd, EPPDefRegRenewResp, EPPDefRegStatus, EPPDefRegTransferCmd, EPPDefRegTransferResp, EPPDefRegUpdateCmd, EPPDeleteCmd, EPPDomainAddRemove, EPPDomainCheckCmd, EPPDomainCheckResp, EPPDomainCheckResult, EPPDomainContact, EPPDomainCreateCmd, EPPDomainCreateResp, EPPDomainDeleteCmd, EPPDomainInfoCmd, EPPDomainInfoResp, EPPDomainPendActionMsg, EPPDomainPeriod, EPPDomainRenewCmd, EPPDomainRenewResp, EPPDomainStatus, EPPDomainTransferCmd, EPPDomainTransferResp, EPPDomainUpdateCmd, EPPEmailFwdAddRemove, EPPEmailFwdCheckCmd, EPPEmailFwdCheckResp, EPPEmailFwdCheckResult, EPPEmailFwdContact, EPPEmailFwdCreateCmd, EPPEmailFwdCreateResp, EPPEmailFwdDeleteCmd, EPPEmailFwdInfoCmd, EPPEmailFwdInfoResp, EPPEmailFwdPendActionMsg, EPPEmailFwdPeriod, EPPEmailFwdRenewCmd, EPPEmailFwdRenewResp, EPPEmailFwdStatus, EPPEmailFwdTransferCmd, EPPEmailFwdTransferResp, EPPEmailFwdUpdateCmd, EPPExtValue, EPPGreeting, EPPHello, EPPHostAddRemove, EPPHostAddress, EPPHostAttr, EPPHostCheckCmd, EPPHostCheckResp, EPPHostCheckResult, EPPHostCreateCmd, EPPHostCreateResp, EPPHostDeleteCmd, EPPHostInfoCmd, EPPHostInfoResp, EPPHostPendActionMsg, EPPHostStatus, EPPHostUpdateCmd, EPPIdnLangTag, EPPInfoCmd, EPPIssuer, EPPJobsContactCreateCmd, EPPJobsContactInfoResp, EPPJobsContactUpdateCmd, EPPLaunchCheck, EPPLaunchCheckResult, EPPLaunchChkData, EPPLaunchCodeMark, EPPLaunchCreate, EPPLaunchCreData, EPPLaunchDelete, EPPLaunchInfData, EPPLaunchInfo, EPPLaunchNotice, EPPLaunchPhase, EPPLaunchStatus, EPPLaunchUpdate, EPPLoginCmd, EPPLogoutCmd, EPPLowBalancePollResponse, EPPLowBalancePollThreshold, EPPMark, EPPMarkAddress, EPPMarkContact, EPPMsgQueue, EPPNamestoreExtNamestoreExt, EPPNamestoreExtNSExtErrData, EPPNameWatchAddRemove, EPPNameWatchCreateCmd, EPPNameWatchCreateResp, EPPNameWatchDeleteCmd, EPPNameWatchInfoCmd, EPPNameWatchInfoResp, EPPNameWatchPeriod, EPPNameWatchRenewCmd, EPPNameWatchRenewResp, EPPNameWatchRptTo, EPPNameWatchStatus, EPPNameWatchTransferCmd, EPPNameWatchTransferResp, EPPNameWatchUpdateCmd, EPPPersRegCreate, EPPPersRegCreateData, EPPPersRegCreateErrData, EPPPersRegGenData, EPPPersRegInfoData, EPPPersRegRenewData, EPPPersRegTransferData, EPPPollCmd, EPPPremiumDomainCheck, EPPPremiumDomainCheckResp, EPPPremiumDomainCheckResult, EPPPremiumDomainReAssignCmd, EPPProtection, EPPProtocolExtension, EPPPurpose, EPPRecipient, EPPRegistryCheckCmd, EPPRegistryCheckResp, EPPRegistryCheckResult, EPPRegistryContact, EPPRegistryContactAddress, EPPRegistryContactCity, EPPRegistryContactName, EPPRegistryContactOrg, EPPRegistryContactPostalCode, EPPRegistryContactStateProvince, EPPRegistryContactStreet, EPPRegistryCreateCmd, EPPRegistryCreateResp, EPPRegistryCustomData, EPPRegistryDefaultPeriodType, EPPRegistryDeleteCmd, EPPRegistryDNSSEC, EPPRegistryDomain, EPPRegistryDomainContact, EPPRegistryDomainHostLimit, EPPRegistryDomainName, EPPRegistryDomainNSLimit, EPPRegistryDomainPeriod, EPPRegistryDS, EPPRegistryExternalHost, EPPRegistryFields, EPPRegistryGracePeriod, EPPRegistryHost, EPPRegistryIDN, EPPRegistryInfoCmd, EPPRegistryInfoResp, EPPRegistryInternalHost, EPPRegistryKey, EPPRegistryKeyValue, EPPRegistryLanguageType, EPPRegistryMaxPeriodType, EPPRegistryMaxSig, EPPRegistryMinMax, EPPRegistryMinMaxLength, EPPRegistryMinMaxPeriod, EPPRegistryMinPeriodType, EPPRegistryPendingDeletePeriodType, EPPRegistryPendingRestorePeriodType, EPPRegistryPeriodType, EPPRegistryPhase, EPPRegistryPostal, EPPRegistryRedemptionPeriodType, EPPRegistryRegex, EPPRegistryRelated, EPPRegistryReservedNames, EPPRegistryRGP, EPPRegistryServices, EPPRegistryServices.EPPRegistryObjURI, EPPRegistryServices.EPPRegistryURI, EPPRegistryServicesExt, EPPRegistryServicesExt.EPPRegistryExtURI, EPPRegistrySLA, EPPRegistrySLAInfo, EPPRegistrySupportedStatus, EPPRegistryTransferHoldPeriodType, EPPRegistryUpdateCmd, EPPRegistryUpdateResp, EPPRegistryZone, EPPRegistryZoneInfo, EPPRegistryZoneList, EPPRegistryZoneMember, EPPRelatedDomainExtAuthInfo, EPPRelatedDomainExtAvailable, EPPRelatedDomainExtCreate, EPPRelatedDomainExtCreateResp, EPPRelatedDomainExtDelete, EPPRelatedDomainExtDeleteResp, EPPRelatedDomainExtDomain, EPPRelatedDomainExtDomainData, EPPRelatedDomainExtField, EPPRelatedDomainExtFields, EPPRelatedDomainExtGroup, EPPRelatedDomainExtInfData, EPPRelatedDomainExtInfo, EPPRelatedDomainExtName, EPPRelatedDomainExtPeriod, EPPRelatedDomainExtRegistered, EPPRelatedDomainExtRenew, EPPRelatedDomainExtRenewResp, EPPRelatedDomainExtTransfer, EPPRelatedDomainExtTransferResp, EPPRelatedDomainExtUpdate, EPPRenewCmd, EPPResponse, EPPResult, EPPRgpExtInfData, EPPRgpExtReport, EPPRgpExtReportText, EPPRgpExtRestore, EPPRgpExtStatus, EPPRgpExtUpData, EPPRgpExtUpdate, EPPRgpPollResponse, EPPRgpPollStatus, EPPSecDNSExtCreate, EPPSecDNSExtCreate, EPPSecDNSExtDsData, EPPSecDNSExtDsData, EPPSecDNSExtInfData, EPPSecDNSExtInfData, EPPSecDNSExtKeyData, EPPSecDNSExtKeyData, EPPSecDNSExtUpdate, EPPSecDNSExtUpdate, EPPService, EPPServiceMenu, EPPSignedMark, EPPStatement, EPPSuggestionAction, EPPSuggestionAddress, EPPSuggestionAnswer, EPPSuggestionCell, EPPSuggestionCoordinates, EPPSuggestionFilter, EPPSuggestionGeo, EPPSuggestionGrid, EPPSuggestionInfoCmd, EPPSuggestionInfoResp, EPPSuggestionRecord, EPPSuggestionRelated, EPPSuggestionRow, EPPSuggestionTable, EPPSuggestionTld, EPPSuggestionToken, EPPSyncExtUpdate, EPPTrademark, EPPTransferCmd, EPPTransId, EPPTreatyOrStatute, EPPUpdateCmd, EPPValue, EPPWhoisInf, EPPWhoisInfData, EPPWhoWasHistory, EPPWhoWasInfoCmd, EPPWhoWasInfoResp, EPPWhoWasRecord

    public interface EPPCodecComponent

extends java.io.Serializable, java.lang.Cloneable

Represents an EPP CODEC Component interface that is implemented by any class that needs to participate in the encoding and decoding of EPP XML documents. All `EPPCodecComponent` classes are `Serializable`. All subclasses of `EPPMessage` and all contained classes of `EPPMessage` classes must implement the `EPPCodecComponent` interface.

See Also:
  `EPPMessage`

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.

Method Detail

### encode

    org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
  For example, the <command> element of `EPPCommand` is created and is used to append the attribute nodes of `EPPCommand`.

  Parameters:
    `aDocument` - DOM document used as a factory of DOM objects.
  Returns:
    instance root DOM element along with attribute child nodes.
  Throws:
    `EPPEncodeException` - Error encoding the DOM element tree.

### decode

    void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
  For example, the <command> element of `EPPCommand` is passed into `decode` of EPPCommand to be decoded and used to set the instance attributes.

  Parameters:
    `aElement` - root DOM element associated with instance
  Throws:
    `EPPDecodeException` - Error decoding the DOM element tree.

### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  clone an `EPPCodecComponent`.

  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.